View Issue Details

IDProjectCategoryView StatusLast Update
0004665SymmetricDS ProBugpublic2021-12-14 19:00
Reporteremiller Assigned Toemiller  
Prioritynormal 
Status resolvedResolutionfixed 
Product Version3.14.0 
Target Version3.14.0Fixed in Version3.14.0 
Summary0004665: On configure screens, add "Save as Copy" button and allow editing of ID
DescriptionWhile using a child of AbstractForm to edit an item, changing the item's ID and saving it results in both the original version and the updated version of the item appearing in the table. Only the updated version should appear in the table and the original version should be deleted.

If the user wants a duplicate copy, they can click a new button, labeled "Save as Copy". It should make sure the ID does not exist. If the ID does exist, then it should append a number and check again. For example, if the ID of "mytest" exists, then it should check for "mytest_2". If "mytest_2" exists, then it should check for "mytest_3".
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.14 9ddb9692

2021-12-06 20:39:51

evan-miller-jumpmind

Details Diff
0004665: Added service code necessary for users to edit IDs Affected Issues
0004665
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/JobManager.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/job/IJobManager.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IConfigurationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IDataLoaderService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IExtensionService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IFileSyncService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IGroupletService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/ILoadFilterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IMonitorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/ITransformService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/ITriggerRouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ConfigurationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ConfigurationServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ExtensionService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/GroupletService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/LoadFilterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/MonitorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TransformService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TransformServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterServiceSqlMap.java Diff File

SymmetricDS: 3.14 e573ff80

2021-12-09 19:07:26

evan-miller-jumpmind

Details Diff
0004665: Added service code necessary for Save As Copy button Affected Issues
0004665
mod - symmetric-android/src/main/java/org/jumpmind/symmetric/android/AndroidJobManager.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/JobManager.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/job/IJobManager.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IConfigurationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IDataLoaderService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IExtensionService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IFileSyncService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IGroupletService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/ILoadFilterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IMonitorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/ITransformService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/ITriggerRouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ConfigurationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ConfigurationServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ExtensionService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ExtensionServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/GroupletService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/GroupletServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/LoadFilterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/LoadFilterServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/MonitorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/MonitorServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TransformService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TransformServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterServiceSqlMap.java Diff File

SymmetricDS: 3.14 3056cf2b

2021-12-14 18:54:14

evan-miller-jumpmind

Details Diff
0004665: Updated service code for saving as a copy and editing IDs Affected Issues
0004665
mod - symmetric-android/src/main/java/org/jumpmind/symmetric/android/AndroidJobManager.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/JobManager.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/job/IJobManager.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IConfigurationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IDataLoaderService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IExtensionService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IFileSyncService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IGroupletService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/ILoadFilterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IMonitorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/ITransformService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/ITriggerRouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ConfigurationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ConfigurationServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ExtensionService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/GroupletService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/LoadFilterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/LoadFilterServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/MonitorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TransformService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TransformServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File

Issue History

Date Modified Username Field Change
2020-11-25 20:49 emiller New Issue
2020-11-25 20:49 emiller Status new => assigned
2020-11-25 20:49 emiller Assigned To => emiller
2021-01-08 20:46 admin Target Version 3.12.6 => 3.12.7
2021-02-25 13:22 emiller Target Version 3.12.7 => 3.12.8
2021-03-30 19:14 admin Target Version 3.12.8 => 3.12.9
2021-04-28 14:43 admin Target Version 3.12.9 => 3.12.10
2021-05-28 11:55 admin Target Version 3.12.10 => 3.12.11
2021-07-12 20:53 admin Target Version 3.12.11 => 3.13.0
2021-11-02 20:08 elong Target Version 3.13.0 => 3.14.0
2021-11-30 15:40 elong Product Version 3.12.0 => 3.14.0
2021-11-30 15:40 elong Summary Prevent items from being duplicated when their ID is edited => On configure screens, add "Save as Copy" button and allow editing of ID
2021-11-30 15:40 elong Description Updated View Revisions
2021-12-06 21:00 Changeset attached => SymmetricDS 3.14 9ddb9692
2021-12-09 19:10 emiller Status assigned => resolved
2021-12-09 19:10 emiller Resolution open => fixed
2021-12-09 19:10 emiller Fixed in Version => 3.14.0
2021-12-09 20:00 Changeset attached => SymmetricDS 3.14 e573ff80
2021-12-14 19:00 Changeset attached => SymmetricDS 3.14 3056cf2b